/*
 * Status TDM Controller
 */
app.controller('StatusTdmController', ['$http',
                                    function ($http) {
    var ctrl = this;

    ctrl.getTDMStatus = function() {
        $http({
            method: 'GET',
            url: '/api/status/tdm'
        }).then(function(response) {
            // First function handles success
            ctrl.e1s = response.data;
        }, function(response) {
            // Second function handles error
        });
    };

    /**
    * Convert seconds to printable time.
    * @function secondsToTime
    * @memberof StatusTdmController
    */
    ctrl.milisecondsToTime = function(seconds) {
        d = Number(seconds/1000);
        var h = Math.floor(d / 3600);
        var m = Math.floor(d % 3600 / 60);
        var s = Math.floor(d % 60);
        return ((h > 0 ? h + ":" : "0:") + (m < 10 ? "0" : "") + m + ":" + (s < 10 ? "0" : "") + s);
    };

    ctrl.resetTDMStats = function() {
        // PUT
        $http({
            method: 'PUT',
            url : '/api/status/tdm',
            data : '{}'
        }).then(function(response) {
            // Update TDM status after reset
            ctrl.getTDMStatus();
        });
    };

    ctrl.getTDMStatus();
}]);
